# ``twisted`.`mail`.`maildir`.`_MaildirNameGenerator``

class documentation

`class _MaildirNameGenerator: (source)`

View In Hierarchy

A utility class to generate a unique maildir name.

Method | `__init__` |
Method | `generate` | Generate a string which is intended to be unique across all calls to this function (across all processes, reboots, etc).
Instance Variable | `n` | A counter used to generate unique integers.
Instance Variable | `p` | The ID of the current process.
Instance Variable | `s` | A representation of the hostname.
Instance Variable | `_clock` | See `clock` parameter of `__init__`.

def __init__(self, clock): (source)

Parameters
clock:`IReactorTime` provider | A reactor which will be used to learn the current time.

def generate(self): (source)

Generate a string which is intended to be unique across all calls to this function (across all processes, reboots, etc).

Strings returned by earlier calls to this method will compare less than strings returned by later calls as long as the clock provided doesn't go backwards.

Returns
`bytes` | A unique string.

n: `int` = (source)
A counter used to generate unique integers.
p: `int` = (source)
The ID of the current process.
s: `bytes` = (source)
A representation of the hostname.
_clock = (source)
See `clock` parameter of `__init__`.